function graf(T,pq,podpore,obt)

% graf(T,pq)
% narie graf palija podanega s podatki voz,pq,podpore,obt.
% voz..koordinate vozli,
% pq..palice, 
% podpore ..vektor fiksnih pomikov
% obt.. nenielne komponente zunanjih sil. 
%
% Dejan Zupan, Katedra za mehaniko, .l. 2003/04


x0=min(T(:,2)); %meje grafa
x1=max(T(:,2));
y0=min(T(:,3));
y1=max(T(:,3));

ko=(x1-x0)/20;

figure(1);
clf reset;
hold on;

%risanje palic
for i=1:size(pq,1)
  t=plot(T(pq(i,2:3),2),T(pq(i,2:3),3),'b'); %riemo povezave iz pq
  set(t, 'LineWidth', 1.2); 
  axis([x0-2*ko,x1+2*ko,y0-2*ko,y1+2*ko]); %velikost zaslona
end

%risanje podpor
for p=1:size(podpore,1)
    if podpore(p,2:3)==[1 2]   % nepomino podprto vozlie 
        if  T(podpore(p,1),3)>=y1  %podpora je risana zgoraj
            plot([T(podpore(p,1),2)-ko/2,T(podpore(p,1),2),T(podpore(p,1),2)+ko/2,T(podpore(p,1),2)-ko/2],...\n
                 [T(podpore(p,1),3)+2*ko/3,T(podpore(p,1),3),T(podpore(p,1),3)+2*ko/3,T(podpore(p,1),3)+2*ko/3],'r');
        else   % v vseh ostalih primerih  je podpora risana spodaj
            plot([T(podpore(p,1),2)-ko/2,T(podpore(p,1),2),T(podpore(p,1),2)+ko/2,T(podpore(p,1),2)-ko/2],...\n
                 [T(podpore(p,1),3)-2*ko/3,T(podpore(p,1),3),T(podpore(p,1),3)-2*ko/3,T(podpore(p,1),3)-2*ko/3],'r');
        end     
     elseif podpore(p,2:3)==[0 2]   % nepomino v y, pomino v x smeri
        if  T(podpore(p,1),3)>=y1  %podpora je risana zgoraj
            plot([T(podpore(p,1),2)-ko/2,T(podpore(p,1),2),T(podpore(p,1),2)+ko/2,T(podpore(p,1),2)-ko/2],...\n
                 [T(podpore(p,1),3)+2*ko/3,T(podpore(p,1),3),T(podpore(p,1),3)+2*ko/3,T(podpore(p,1),3)+2*ko/3],'r');
             plot([T(podpore(p,1),2)-ko/2,T(podpore(p,1),2)+ko/2],...\n
                  [T(podpore(p,1),3)+2*ko/3+ko/5,T(podpore(p,1),3)+2*ko/3+ko/5],'r');  
        else     % v vseh ostalih primerih  je podpora risana spodaj
           plot([T(podpore(p,1),2)-ko/2,T(podpore(p,1),2),T(podpore(p,1),2)+ko/2,T(podpore(p,1),2)-ko/2],...\n
                [T(podpore(p,1),3)-2*ko/3,T(podpore(p,1),3),T(podpore(p,1),3)-2*ko/3,T(podpore(p,1),3)-2*ko/3],'r');
           plot([T(podpore(p,1),2)-ko/2,T(podpore(p,1),2)+ko/2],...\n
                [T(podpore(p,1),3)-2*ko/3-ko/5,T(podpore(p,1),3)-2*ko/3-ko/5],'r');  
       end  
    elseif podpore(p,2:3)==[1 0]   % nepomino v x, pomino v y smeri
        if  T(podpore(p,1),2)>=x1  %podpora je risana desno
            plot([T(podpore(p,1),2)+2*ko/3,T(podpore(p,1),2),T(podpore(p,1),2)+2*ko/3,T(podpore(p,1),2)+2*ko/3],...\n
                 [T(podpore(p,1),3)-ko/2,T(podpore(p,1),3),T(podpore(p,1),3)+ko/2,T(podpore(p,1),3)-ko/2],'r');
            plot([T(podpore(p,1),2)+2*ko/3+ko/5,T(podpore(p,1),2)+2*ko/3+ko/5],...\n
                 [T(podpore(p,1),3)-ko/2,T(podpore(p,1),3)+ko/2],'r');
        else     % v vseh ostalih primerih  je podpora risana levo
            plot([T(podpore(p,1),2)-2*ko/3,T(podpore(p,1),2),T(podpore(p,1),2)-2*ko/3,T(podpore(p,1),2)-2*ko/3],...\n
                 [T(podpore(p,1),3)-ko/2,T(podpore(p,1),3),T(podpore(p,1),3)+ko/2,T(podpore(p,1),3)-ko/2],'r');
            plot([T(podpore(p,1),2)-2*ko/3-ko/5,T(podpore(p,1),2)-2*ko/3-ko/5],...\n
                 [T(podpore(p,1),3)-ko/2,T(podpore(p,1),3)+ko/2],'r');
        end  
    end
end

mobt=max(max([0.0001,0.0001;obt(:,2:3)]));
% risanje zunanje obtebe
for s=1:size(obt,1)
  if obt(s,2)~=0  
    arrow( T(obt(s,1),2:3), T(obt(s,1),2:3)+[5*ko*obt(s,2)/mobt,0],0.02,1.3,'k');
  end
  if obt(s,3)~=0  
    if obt(s,3)<0
      arrow(T(obt(s,1),2:3)+[0,-5*ko*obt(s,3)/mobt],T(obt(s,1),2:3),0.02,1.3,'k');
      hold on;
    else
      arrow( T(obt(s,1),2:3),T(obt(s,1),2:3)+[0,5*ko*obt(s,3)/mobt],0.02,1.3,'k');
      hold on;
    end
  end
end 

axis('equal');

